summaryrefslogtreecommitdiffstats
path: root/abs/core-testing/nvidia-71xx/nvidia-71xx.install
diff options
context:
space:
mode:
authorCecil Hugh Watson <knoppmyth@gmail.com>2009-06-06 22:12:29 (GMT)
committerCecil Hugh Watson <knoppmyth@gmail.com>2009-06-06 22:12:29 (GMT)
commit51284e0ce016f406e0263a91077df21db7171145 (patch)
treef94006ffec771ecac56127d4f24d799356fe15ed /abs/core-testing/nvidia-71xx/nvidia-71xx.install
parentcc388293a681ed35c3135a1ab479635a57e18314 (diff)
downloadlinhes_pkgbuild-51284e0ce016f406e0263a91077df21db7171145.zip
linhes_pkgbuild-51284e0ce016f406e0263a91077df21db7171145.tar.gz
linhes_pkgbuild-51284e0ce016f406e0263a91077df21db7171145.tar.bz2
Support for legacy nvidia chipsets.
Diffstat (limited to 'abs/core-testing/nvidia-71xx/nvidia-71xx.install')
-rw-r--r--abs/core-testing/nvidia-71xx/nvidia-71xx.install23
1 files changed, 23 insertions, 0 deletions
diff --git a/abs/core-testing/nvidia-71xx/nvidia-71xx.install b/abs/core-testing/nvidia-71xx/nvidia-71xx.install
new file mode 100644
index 0000000..0b44b8d
--- /dev/null
+++ b/abs/core-testing/nvidia-71xx/nvidia-71xx.install
@@ -0,0 +1,23 @@
+# arg 1: the new package version
+post_install() {
+ KERNEL_VERSION='2.6.28-LinHES'
+ depmod -v $KERNEL_VERSION > /dev/null 2>&1
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+post_upgrade() {
+ post_install $1
+ rmmod nvidia >/dev/null 2>&1 || echo 'In order to use the new nvidia module, exit Xserver and unload it manually.'
+}
+
+# arg 1: the old package version
+post_remove() {
+ KERNEL_VERSION='2.6.28-LinHES'
+ depmod -v $KERNEL_VERSION > /dev/null 2>&1
+ rmmod nvidia >/dev/null 2>&1
+}
+
+op=$1
+shift
+$op $*